GOLF(2gg)

NAME
encode-url - (URL-encoding)

PURPOSE
URL-encode string.

SYNTAX

        encode-url <string> to <encoded string> \
            [ input-length <length> ]

DESCRIPTION
encode-url URL-encodes <string> and stores the result in <encoded string>.

<length> in "input-length" clause lets you specify the number of bytes in <string> that will be encoded - if not specified or negative, it is the string length.

All bytes except alphanumeric and those from "-._~" (i.e. dash, dot, underscore and tilde) are encoded.

EXAMPLES
In this example, a string "str" is URL encoded and the result is in a "result" string variable:

        set-string str="  x=y?z&  "
        encode-url str to result

The "result" is "%20%20x%3Dy%3Fz%26%20%20".

SEE ALSO
 URL encoding

decode-url encode-url See all documentation